> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/resources/reports/getbackupsreport-method.md).

# GetBackupsReport Method

## Description

Retrieves the backups report.

## HTTP Request

`GET https://api.skeddly.com/api/Reports/Backups`

## Query Parameters

### backupTypes

A comma-separated list of backup types to include.

Type: `string`

Valid Values:

* `amazon-ebs-snapshot`
* `amazon-ami-image`
* `amazon-rds-cluster-snapshot`
* `amazon-rds-snapshot`

Required: No

### credentialIds

A comma-separated list of credential IDs.

Type: `string`

Required: No

### projectIds

A comma-separated list of projects to include.

Type: `string`

Default: All projects

Required: Recommended for future compatability

### range.inclusiveStart

Start date (inclusive) of the date range, in ISO8601 format.

Type: `string`

Default: Now - 30 days

Required: No

### range.exclusiveEnd

End date (exclusive) of the date range, in ISO8601 format.

Type: `string`

Default: Now

Required: No

### regionNames

A comma-separated list of regions to include.

Type: `string`

Default: All regions

Required: No

## Returns

Array of [BackupsReportItem](/data-types/backupsreportitem-object.md) objects.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/Reports/Backups HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/Reports/Backups" \
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
[
  {
    "projectId": "proj-00000000",
    "createdDate": "2020-12-31T00:00:00Z",
    "regionName": "us-east-1",
    
    "backupType": "amazon-ami-image",
    "backupId": "ami-00000000",
    "backupSize": 30,
    
    "sourceType": "amazon-ec2-instance",
    "sourceId": "i-00000000",
    
    "actionExecutionId": "ae-00000000",
    
    "actionId": "a-00000000",
    "actionVersionId": "av-00000000",
    "actionName": "Backup Servers",
    
    "credentialId": "cred-00000000",
    "credentialName": "Cloud Account"
  }
]
```
